<?php
  $img = imagecreatetruecolor(100, 100);
  $bialy = imagecolorallocate($img, 255, 255, 255);
  $zielony = imagecolorallocate($img, 0, 255, 0);
  $niebieski = imagecolorallocate($img, 0, 0, 255);

  imagefill($img, 0, 0, $bialy);

  imagefilledrectangle($img, 10, 10, 50, 50, $niebieski);
  imagefilledrectangle($img, 50, 50, 90, 90, $niebieski);
  imagerectangle($img, 10, 50, 50, 90, $zielony);
  imagerectangle($img, 50, 10, 90, 50, $zielony);

  imagejpeg($img, "obraz1.jpg");
  imagedestroy($img);
?>
